ANSEL(1)

NAME
ansel - a digital photography workflow application

SYNOPSIS
    ansel [options] [IMG_1234.{RAW,...}|image_folder/]

Options:

    --cachedir <user cache directory>
    --conf <key>=<value>
    --configdir <user config directory>
    -d {all,cache,camctl,camsupport,control,dev,fswatch,history,imageio,input,
        ioporder,lighttable,lua,masks,memory,nan,opencl,params,perf,pipe,
        pwstorage,print,signal,sql,undo}
    --datadir <data directory>
    --disable-opencl
    -h, --help
    --library <library file>
    --localedir <locale directory>
    --luacmd <lua command>
    --moduledir <module directory>
    --noiseprofiles <noiseprofiles json file>
    -t <num openmp threads>
    --tmpdir <tmp directory>
    --version

DESCRIPTION
ansel is a digital photography workflow application for Linux, Mac OS X and several other Unices.

The application is designed to ease editing and consistent processing of large photo sessions and provides an easy to use digital lighttable and a set of sophisticated post-processing tools.

Most processing is done in 32-bit floating point per channel mode in device independent CIE L*a*b* color space. ansel is also fully color managed, which gives you full control over the look of the photos.

The application relies on a modern plugin architecture thus making it easy for 3rd party developers to extend the existing capabilities of the application. All lighttable and darkroom features are implemented as plugins, so you can create your plugins reusing existing code. Most workflow specific things can also be scripted in Lua.

OPTIONS

IMG_1234.RAW or image_folder/
    You may optionally supply the filename of an image or the name of a folder containing image files. If a filename is given ansel starts in darkroom view with that file opened. If a folder is given ansel starts in lighttable view with the content of that folder as the current collection. If there is already an instance of ansel running (using the same library) the image or folder will be opened there, using D-Bus to communicate between the two processes.

--cachedir <cache directory>
    ansel keeps a cache of image thumbnails for fast image preview and of precompiled OpenCL binaries for fast startup. By default the cache is located in "$HOME/.cache/darktable/". There may exist multiple thumbnail caches in parallel - one for each library file.

--conf <key>=<value>
    ansel supports a rich set of configuration parameters which the user defines in "anselrc" - ansel's configuration file in the user config directory. You may temporarily overwrite individual settings on the command line with this option - however, these settings will not be stored in "anselrc".

--configdir <config directory>
    This option defines the directory where ansel stores the user specific configuration. The default place is "$HOME/.config/darktable/".

-d <debug option>
    This option enables debug output to the terminal. There are several subsystems of ansel and debugging of each of them can be activated separately. You can use this option multiple times if you want debugging output of more than one subsystem.

    A few of those debug options are:

    control
        Enable job queue debugging. If you redirect ansel's output to control.log and call ./tools/create_control_svg.sh control.log, you will get a nice control.svg with a visualization of the threads' work.

    cache
        This will give you a lot of debugging info about the thumbnail cache for lighttable mode. If compiled in debug mode, this will also tell you where in the code a certain buffer has last been locked.

    perf
        Use this for performance tweaking your darkroom modules. It will rdtsc-measure the runtimes of all plugins and print them to stdout.

    all Enable all debugging output. In general this is not very useful.

--datadir <data directory>
    This option defines the directory where ansel finds its runtime data. The default place depends on your installation. Typical places are "/opt/ansel/share/darktable/" and "/usr/share/darktable/".

--disable-opencl
    Prevent ansel from initializing the OpenCL subsystem. Use this option in case ansel crashes at startup due to a defective OpenCL implementation.

-h, --help
    Show the available command line options and exit.

--library <library file>
    ansel keeps image information in an sqlite database for fast access. The default location of that database file is "$HOME/.config/darktable/library.db". You may give an alternative location, e.g. if you want to do some experiments without compromising your original library.db. If the database file does not exist, ansel creates it for you. You may also give ":memory:" as a library file in which case the database is kept in system memory - all changes are discarded when ansel terminates.

--localedir <locale directory>
    The place where ansel finds its language specific text strings. The default place depends on your installation. Typical places are "/opt/ansel/share/locale/" and "/usr/share/locale/".

--luacmd <lua command>
    A string containing lua commands to execute after lua initialization. These commands will be run after your "luarc" file.

    If lua is not compiled in, this option will be accepted but won't do anything.

--moduledir <module directory>
    ansel has a modular structure and organizes its modules as shared libraries for loading at runtime. With this option you tell ansel where to look for its shared libraries. The default place depends on your installation; typical places are "/opt/ansel/lib/darktable/" and "/usr/lib/darktable/".

--noiseprofiles <noiseprofiles json file>
    ansel's profiled denoise module uses camera specific profile data that gets loaded from an external JSON file. With this option the file to be loaded can be changed to allow testing alternative profiles. The default profile file is "noiseprofiles.json" and is typically found in "/opt/ansel/share/darktable/" or "/usr/share/darktable/".

-t <num openmp threads>
    ansel uses OpenMP to parallelize many computation steps and make use of all the available CPU cores. With this option you can specify the number of threads to use. Valid values are between 1 and 100.

--tmpdir <tmp directory>
    The place where ansel stores its temporary files. If this option is not supplied ansel uses the system default.

--version
    Show the ansel version along with some important build options and exit.

DEFAULT KEYBINDINGS
All modes

l   Switch to lighttable view

d   Switch to darkroom view

t   Switch to tethered capture view

m   Switch to map view

s   Switch to slideshow view

p   Switch to print view

.   Switch between lighttable and darkroom views

Ctrl-q
    Quit

F11 Switch between fullscreen and normal modes of the application's window

Esc Leave fullscreen mode

Ctrl-h
    Show/hide header

Tab Show/hide sidebars

Lighttable mode

g, Shift-g
    Navigate to top, bottom row

PageUp, PageDown
    Navigate one page up, down

'   Scroll center

Down, Left, Right, Up
    Scroll down, left, right, up

z   Preview image

Ctrl-z
    Preview image with focus detection

F1, F2, F3, F4, F5
    Color labels: toggle red, yellow, green, blue and purple

1, 2, 3, 4, 5
    Star rating

0   Strip all stars

r   Mark as rejected

l   Realign images to the grid

Alt-1
    Zoom in on first visible image

Alt-2, 3
    Adjust zoom

Alt-4
    Zoom out completely

Ctrl-a
    Select all images

Ctrl-Shift-a
    Select no images

Ctrl-i
    Invert selection

Ctrl-d
    Duplicate image

Ctrl-g, Ctrl-Shift-g
    Group/ungroup selected images

Delete
    Remove image from collection

Ctrl-c, Ctrl-Shift-c
    Copy all, selected history

Ctrl-v, Ctrl-Shift-v
    Paste all, selected history

Space
    Toggle selection of an image

Return
    Select an image

Ctrl-e
    Export currently selected images

Ctrl-k
    Jump back to the previous collection

Ctrl-t
    Open a popup to quickly tag an image

Ctrl-Shift-i
    Import a folder

Ctrl-j
    Jump to the filmroll of an image

Darkroom mode

Alt-1, 2, 3
    Zoom to 1:1, fill, and fit, respectively

Ctrl-f
    Show/hide filmstrip

Space, Backspace
    Step to next, previous image

Ctrl-e
    Export current image

Ctrl-c, Ctrl-Shift-c
    Copy all, selected history

Ctrl-v, Ctrl-Shift-v
    Paste all, selected history

o   Toggle show of over- and under-exposure

Ctrl-g
    Toggle gamut check

Ctrl-s
    Toggle softproofing

Enter
    In Crop & Rotate module, commit the crop

[, ]
    In Flip module, rotate 90 degrees ccw, cw

<, >
    When drawing masks, decrease, increase brush opacity, respectively

{, }
    When drawing masks, decrease, increase brush hardness, respectively

[, ]
    When drawing masks, decrease, increase brush size, respectively

Tethered mode

Ctrl-f
    Show/hide filmstrip

v   Toggle live view

Map mode

Ctrl-f
    Show/hide filmstrip

Ctrl-z
    Undo

Ctrl-r
    Redo

Filmstrip (when the cursor is on top of the filmstrip)

F1, F2, F3, F4, F5
    Color labels: toggle red, yellow, green, blue and purple

1, 2, 3, 4, 5
    Star rating

0   Strip all stars

r   Mark as rejected

Ctrl-d
    Duplicate image

Ctrl-a
    Select all images

Ctrl-Shift-a
    Select no images

Ctrl-i
    Invert selection

Ctrl-c, Ctrl-Shift-c
    Copy all, selected history

Ctrl-v, Ctrl-Shift-v
    Paste all, selected history

Slideshow mode

Space
    Start/stop playback

SEE ALSO
ansel-cli(1)

OTHER INFO
Please visit ansel's website for news, blog and bug tracker: <https://www.darktable.org/>

<https://www.darktable.org/usermanual/> The complete ansel usermanual.

anselrc.html An overview over all default config settings. The default place depends on your installation. Typical places are "/opt/ansel/share/doc/darktable/" and "/usr/share/doc/darktable/".

REPORTING BUGS
Please use the bug tracker on <https://github.com/ansel-org/darktable/issues> to report bugs, feature requests and so on.

AUTHORS
The principal developer of ansel is Johannes Hanika. The (hopefully) complete list of contributors to the project is:

* developers: Pascal Obry johannes hanika Aurélien PIERRE Tobias Ellinghaus Roman Lebedev Henrik Andersson Ulrich Pegelow Aldric Renaudin Pascal de Bruijn Pedro Côrte-Real Jérémy Rosen parafin José Carlos García Sogo Edouard Gomez Stefan Schöfegger Simon Spannagel Peter Budai Alexandre Prokoudine Christian Tellefsen James C. McPherson * translators: Pascal Obry Ger Siemerink Jeronimo Pellegrini Michel Leblond EdgarLux Tobias Ellinghaus Richard Levitte johannes hanika Martin Straeten Henrik Andersson Timur Davletshin bartokk Alexandre Prokoudine tatica Olivier Tribout Simon Spannagel Victor Forsiuk Heiko Bauke Josep V. Moragues Thomas Pryds Matjaž Jeran Nicolas Auffray shlomi braitbart José Carlos Casimiro Matt Maguire Maurizio Paglia Aurélien PIERRE Jakub Filipowicz José Carlos García Sogo Ryo Shinozaki Ulrich Pegelow mepi0011 Báthory Péter Guillaume Marty Jérémy Rosen Milan Knížek Victor Lamoine Alynx Zhou Guilherme Brondani Torri Novy Sawai Kevin Vermassen Marcus Gama Pascal de Bruijn Serkan ÖNDER Dimitrios Psychogios Matteo Mardegan Tomasz Golinski vertama Dušan Kazik thisnamewasnottaken 篠崎亮　Ryo Shinozaki Artur de Sousa Rocha Cherrot Luo Mikko Ruohola Petr Stasiak Stephan Hoek Germano Massullo Philippe Weyland Anocha Yimsiriwattana Marko Vertainen Miloš Komarčević Nazarii Vitak Arch Ont Bernhard Federico Bruni Luca Zulberti Miroslav Fikar Nameless-J Song Li chrisaga lkarcz maruncz Besmir Godole Jacques Le Clerc Ragnar Wisloff Shlomi Alon-Braitbart Tianhao Chai bajdero darktable miroslavfikar mmardegan Alberto Caso Alejandro Criado-Pérez Antony Dovgal Bogusław Ciastek Cyril Richard DWXXX Daniele Giorgis Danilo Bargen Denis Dyakov Denny Biasiolli Diederik ter Rahe Edgar De la Luz František Šidák Gustav Ernberg Hanno Schwalm Jan Friedrich Jean-Luc Coulon (f5ibh) Julian J. M Laurent Guillier Magnus Claesson Marek Vančo MatteoVita Matthieu Moy Mattias Eriksson Michael Moese Michał Prędotka Mik- Pedro Côrte-Real PeterWem Ragnar Wisløff Robert Bieber Simon Raffeiner Tomasz Goliński Wiktor Nowak archont00 asmolero chri cotacot criadoperez igmerti jakubfi mrleemon parafin quovadit sbraitbart zerng07 Łukasz Karcz * contributors (at least 4 commits): Ralf Brown Dan Torop Diederik ter Rahe Philippe Weyland Hanno Schwalm Ger Siemerink Hubert Kowalski Michel Leblond Chris.Elston Jeronimo Pellegrini rawfiner Robert Bieber Nicolas Auffray Andreas Schneider EdgarLux Richard Levitte Heiko Bauke edgardoh Miloš Komarčević Victor Forsiuk Bill Ferguson Alynx Zhou Jean-Sébastien Pédron Martin Straeten Olivier Tribout Mark-64 Bruce Guenter Sakari Kapanen Timur Davletshin bartokk tatica Matthieu Moy Matthieu Volat Rostyslav Pidgornyi Chris Elston Josep V. Moragues Moritz Lipp Thomas Pryds Dennis Gnad Marco Carrarini José Carlos Casimiro Maurizio Paglia Matt Maguire Jakub Filipowicz Daniel Vogelbacher Guillaume Stutin GrahamByrnes David-Tillmann Schaefer Harold le Clément de Saint-Marcq Marco marcel wpferguson HansBull Kaminsky Andrey Matjaž Jeran shlomi braitbart Guilherme Brondani Torri Michal Babej mepi0011 Richard Wonka lhietal quovadit Antony Dovgal Jacques Le Clerc Milan Knížek Sam Smith Ryo Shinozaki Victor Lamoine Jiyone Novy Sawai Rikard Öxler Wolfgang Goetz darkelectron Báthory Péter Guillaume Marty Alexis Mousset Dimitrios Psychogios U-DESKTOP-HQME86Jmarco Vasyl Tretiakov Vincent THOMAS Brian Teague Frédéric Grollier lologor luzpaz Kevin Vermassen Marcus Gama Philipp Lutz Robert Bridge Andrew Toskin Germano Massullo Eckhart Pedersen Felipe Contreras Mikko Ruohola Asma Bernd Steinhauser JohnnyRun Kanstantsin Shautsou Martin Burri Serkan ÖNDER Tomasz Golinski Victor Engmark Wyatt Olson junkyardsparkle thisnamewasnottaken Arnaud TANGUY Benoit Brummer Fabio Heer Loic Guibert Paolo DePetrillo Žilvinas Žaltiena Dušan Kazik Jan Kundrát Jochen Schroeder Matteo Mardegan Petr Styblo Robert William Hutton Roman Khatko Stuart Henderson itinerarium luz paz vertama vrnhgd Ammon Riley Chris Hodapp David Bremner Gaspard Jankowiak Ivan Tarozzi Jim Robinson Marcello Mamino Marcus Rückert Richard Hughes calca elstoc 篠崎亮　Ryo Shinozaki Artur de Sousa Rocha Cherrot Luo Christian Himpel Denis Dyakov Dominik Markiewicz Guillaume Benny Harald Jesper Pedersen K. Adam Christensen Maximilian Trescher Petr Stasiak Pierre Lamot Sergey Pavlov Stephan Hoek Wolfgang Mader grand-piano piratenpanda solarer Alexander V. Smal Andrea Volpato August Schwerdfeger JP Verrue Johanes Schneider Karl Mikaelsson Luca Zulberti Matthias Gehre Matthias Vogelgesang Simon Legner Tianhao Chai Torsten Bronger matt-maguire Alban Gruin Alexander Clausen Anocha Yimsiriwattana Apfelkraut Bernhard Erik Gustavsson Federico Bruni Frank Loemker Jake Probst Joao Trindade Mario Lueder Marko Vertainen Nazarii Vitak Paolo Benvenuto Raphael Manfredi Ricky Moon Ronny Kahl Stéphane Gourichon Togan Muftuoglu Tom Vijlbrief Will Bennett hal maruncz sjjh * Sub-module rawspeed contributors (at least 1 commit): Roman Lebedev Klaus Post Pedro Côrte-Real Miloš Komarčević Axel Waggershauser Stefan Schöfegger Pascal de Bruijn Jordan Neumeyer Anders Brander Robert Bridge Stefan Löffler Pascal Obry Stefan Hoffmeister parafin Dan Torop Georg Lukas Thomas Baumann Daniel Vogelbacher Hanno Schwalm Matthieu Volat Philipp Lutz Tobias Ellinghaus Victor Forsiuk luz.paz Hubert Kowalski Louie Lu Virgile Bello bobobo1618 johannes hanika Bill Ferguson Howard Liberty Marko Toplak Martijn Courteaux Matt Maguire Nathaniel Watson Robert Bieber Yattaro al luz paz maruncz -cr Alex Tutubalin Andreas Schneider Artemis Tosini Bastian Bechtold Benjamin Erb David Korczynski David-Tillmann Schaefer Elizeu Santos Frank Loemker Georg Niedrist Jan Šmucr Jorge Nerín Josef Raschen Julien Nabet LibRaw LLC Marcel Bollmann Marco Caimi Marco Ristuccia Martin Straeten Massimo Paladin Matthias Gehre Michael Allman Michal Čihař Milos Komarcevic Omari Stephens Peter Budai PeterWem Philipp Normann Ryan Gillette Shita Yuuma Simon Raffeiner Sprite Tino H. Seifert Uwe Müssel Vasily Khoruzhick Zanhard aferrero2707 chrunchyjesus dllu frantic1048 helloqiu jas01 junkyardsparkle ponkotuy squid-f ubergeek801 Šarūnas Burdulis * Sub-module OpenCL contributors (at least 1 commit): Ben Ashbaugh James Price Kévin Petit Lee Howes Jakub Szuppe bashbaug Bartosz Sochacki Rob Elliott = Kevin Petit affie Richard Ruigrok Jeremy Kemp Kedar Patil neheb patilkedar Alexei Bourd Nagy-Egri Máté Ferenc Rosen Penev robquill takanokage Ewan Crawford John Plate Jon Leech Martin Kelly Umair Ahmed abestephens Alastair Murray Alex Bourd Brice Videau Einar Hov Khronos Group Webmaster Mikhail Lychkov Milkey Mouse Nuno Fachada Pierre Moreau Sreelakshmi Haridas Timmy Liu XZiar fodinabor oddhack pkubaj y-novikov * Sub-module libxcf contributors (at least 1 commit): Tobias Ellinghaus * Sub-module whereami contributors (at least 1 commit): Gregory Pakosz Jan Beich Ian Burgan Jean-Michaël Celerier Sergey Agievich Thomas Willems * Sub-module LibRaw contributors (at least 1 commit): Alex Tutubalin Iliah Borg lexa LibRaw LLC Alex Tutubalin, LibRaw LLC Jamie Pinheiro jabbervorx Joan Karadimov Miloš Komarčević Tim Harder Dirk Lemstra Gilles Caulier Luca Falavigna Mark Reid maslbl4 Aleks L Andreas K. Huettel (dilfridge) Daniel Kaneider Mario Emmenlauer Nuno Cruces Philip Ries Vincent Torri corec 龙俊良 Alex Alex Gaynor Alex Tutubalin @Mac Arkady Shapkin Artur Bernd Kuhls Daniel Martinez Daniel Rosser Dave Stevenson David C. Partridge Fabien Castan Fabrice Fontaine Haishan Zhong Heiko Becker John Hein Kevin Wojniak Pablo Sichert Paolo Barbolini Petr Minář Pino Toscano Přemysl Eric Janouch Rafael Sadowski Sam James Sam Whited TOMIKAWA Sotaro Thomas Petazzoni Tomi Aarnio Tracy Wadleigh Z. Liu iliah kapankov kmilos luz paz psykose robert hasson sashashura ssssota vladimirovich * Sub-module doxygen-awesome-css contributors (at least 1 commit): jothepro Johannes Krafft Markus Napp Andrea Pappacoda Andy Maloney Ayush Chamoli Bernd Riederer David Álvarez Rosa Eritque arcus Leger Charlie Liviu Ionescu Michael R. Crusoe Murillo Teixeira OkawaYusuke Thibaud Chupin Timo Koch Volker Enderlein William Roy patricklaf And all those of you that made previous releases possible

This man page was written by Alexandre Prokoudine <alexandre.prokoudine@gmail.com> and Richard Levitte <richard@levittr.org>. Additions were made by Tobias Ellinghaus <me@houz.org>.

HISTORY
The project was started by Johannes Hanika in early 2009 to fill the gap (or, rather, a black hole) of a digital photography workflow tool on Linux.

COPYRIGHT AND LICENSE
Copyright (C) 2009-2017 by Authors.

ansel is free software; you can redistribute it and/or modify it under the terms of the GPL v3 or (at your option) any later version.